Get terminal application configuration | Moov Documentation
Get terminal application configuration
Fetch the configuration for a given Terminal Application linked to a specific Account.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/terminal-configuration.read scope.
Request Method
GET
Endpoint
/accounts/{accountID}/terminal-applications/{terminalApplicationID}/configuration
Example Requests
cURL
curl -X GET "https://api.moov.io/accounts/{accountID}/terminal-applications/{terminalApplicationID}/configuration" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
TypeScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.accountTerminalApplications.getConfiguration({
accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
terminalApplicationID: "12345678-1234-1234-1234-123456789012",
});
console.log(result);
}
run();
PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->accountTerminalApplications->getConfiguration(
accountID: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e',
terminalApplicationID: '12345678-1234-1234-1234-123456789012'
);
if ($response->terminalConfiguration !== null) {
// handle response
}
Java
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetTerminalConfigurationResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetTerminalConfigurationResponse res = sdk.accountTerminalApplications().getConfiguration()
.accountID("76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e")
.terminalApplicationID("12345678-1234-1234-1234-123456789012")
.call();
if (res.terminalConfiguration().isPresent()) {
System.out.println(res.terminalConfiguration().get());
}
}
}
Python
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.account_terminal_applications.get_configuration(account_id="76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e", terminal_application_id="12345678-1234-1234-1234-123456789012")
# Handle response
print(res)
Ruby
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.account_terminal_applications.get_configuration(account_id: '76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e', terminal_application_id: '12345678-1234-1234-1234-123456789012')
unless res.terminal_configuration.nil?
# handle response
end
C#
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.AccountTerminalApplications.GetConfigurationAsync(
accountID: "76d4c8a0-1f2b-4e3b-8f5c-7a9e1b2c3d4e",
terminalApplicationID: "12345678-1234-1234-1234-123456789012"
);
// handle response
Sample Response
{
"configuration": "Zm9vYmFyCg=="
}
Response Headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
The user is not authorized to make the request.
The requested resource was not found.
Request was refused due to rate limiting.
The request failed due to an unexpected error.
The request failed because a downstream service failed to respond.
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible Values:
v2026.07.00
Describes a terminal configuration.